com.independentsoft.exchange

## Class DomainResponse

- java.lang.Object
- - com.independentsoft.exchange.DomainResponse

-     public class DomainResponse
      extends java.lang.Object

  Contains the requested settings for the specified domain.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainResponse()` Initializes a new instance of the DomainResponse class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<DomainSettingError>` | `getDomainSettingErrors()` Gets error information for settings that could not be returned.
    `java.util.List<DomainSetting>` | `getDomainSettings()` Gets the domain settings that were submitted in an Autodiscover request or returned by an Autodiscover response.
    `ErrorCode` | `getErrorCode()` Gets the error code that is associated with the specific request.
    `java.lang.String` | `getErrorMessage()` Gets the error message that is associated with the specific request.
    `java.lang.String` | `getRedirectTarget()` Gets the target of the redirection.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomainResponse

          public DomainResponse()

      Initializes a new instance of the DomainResponse class.

  - ### Method Detail

    - #### getErrorCode

          public ErrorCode getErrorCode()

      Gets the error code that is associated with the specific request.
      Returns:
        the error code

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

      Gets the error message that is associated with the specific request.
      Returns:
        the error message

    - #### getRedirectTarget

          public java.lang.String getRedirectTarget()

      Gets the target of the redirection. The target can be either a URL or an e-mail address.
      Returns:
        the redirect target

    - #### getDomainSettingErrors

          public java.util.List<DomainSettingError> getDomainSettingErrors()

      Gets error information for settings that could not be returned.
      Returns:
        the domain setting errors

    - #### getDomainSettings

          public java.util.List<DomainSetting> getDomainSettings()

      Gets the domain settings that were submitted in an Autodiscover request or returned by an Autodiscover response.
      Returns:
        the domain settings